import webbrowser
import tempfile
import time
import markdown
import navpoint.fix_path


def about():
    with open(navpoint.fix_path.fix_path("README.md")) as f:
        readme = markdown.markdown(
            f.read()
            .replace("https://www.gnu.org/licenses/gpl-3.0.en.html", "#gpl")
            .replace("https://creativecommons.org/licenses/by-sa/4.0/", "#cc")
        )

    with open(navpoint.fix_path.fix_path("GPL-3.0.txt")) as f:
        gpl = f.read()

    with open(navpoint.fix_path.fix_path("CC-BY-SA-4.0.txt")) as f:
        cc = f.read()

    with tempfile.NamedTemporaryFile("w+") as f:
        f.write(
            f"""\
<!DOCTYPE html>
<html>
    <head>
        <title>Navpoint Desktop</title>
    </head>
    <body>
        <a id="top"></a>{readme}
        <h3 id="gpl">GNU General Public License v3.0</h3>
        <pre>{gpl}</pre>
        <p><a href="#top">Back to top</a></p>
        <h3 id="cc">Creative Commons Attribution-ShareAlike 4.0 International</h3>
        <pre>{cc}</pre>
        <p><a href="#top">Back to top</a></p>
    </body>
</html>
"""
        )
        f.flush()
        webbrowser.open(f.name)
        time.sleep(0.5)  # Give the browser time to open the file
